<script lang="ts" setup>
import type { Picture } from '~/entities';


const route = useRoute();

const {data} = await useApi<Picture[]>('/api/picture', {
  params: {search: route.params.term}
});

</script>

<template>
  <div>
    
    <h1>Search Result</h1>
    <ListPicture :list="data" v-if="data" />
    <p v-if="!data?.length">Sorry there was no result for {{ $route.params.term }}</p>
  </div>
</template>

<style scoped></style>
